Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004266TestLinkBug Tracking Systems Integrationpublic2011-02-22 19:372011-03-20 16:13
Reporterslashzero 
Assigned Tofman 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformWindows Server 2003OSWindows Server 2003OS VersionServer 2003
Product Version1.9.1 (bug fixing) 
Fixed in Version1.9.2 (2011 Q2 - bug fixing) 
Summary0004266: TL 1.8.5 int_seaping.php has incorrect variable names
Description//members to store the bugtracking information
    var $m_dbHost = BUG_TRACK_DB_HOST;
    var $m_dbProjectID = BUG_TRACK_PROJECT_ID;
    var $m_dbName = BUG_TRACK_DB_NAME;
    var $m_dbUser = BUG_TRACK_DB_USER;
    var $m_dbPass = BUG_TRACK_DB_PASS;
    var $m_dbType = BUG_TRACK_DB_TYPE;
    var $m_showBugURL = BUG_TRACK_HREF;
    var $m_enterBugURL = BUG_TRACK_ENTER_BUG_HREF;

Should be:

//members to store the bugtracking information
    var $dbHost = BUG_TRACK_DB_HOST;
    var $dbProjectID = BUG_TRACK_PROJECT_ID;
    var $dbName = BUG_TRACK_DB_NAME;
    var $dbUser = BUG_TRACK_DB_USER;
    var $dbPass = BUG_TRACK_DB_PASS;
    var $dbType = BUG_TRACK_DB_TYPE;
    var $showBugURL = BUG_TRACK_HREF;
    var $enterBugURL = BUG_TRACK_ENTER_BUG_HREF;

to match what is in int_bugtracking.php, or the integration will not work.
TagsNo tags attached.
Database (MySQL,Postgres,etc)1.8.5
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Filesgz file icon fix-4266.tar.gz [^] (1,626 bytes) 2011-02-27 18:36

- Relationships
related to 0003520new Fix for Seapine's bugtracking system (TTP) integration 
child of 0004185closedfman Availables Fixes for 1.9.1 (Prague) 

-  Notes
(0013750)
fman (administrator)
2011-02-27 18:09

Thanks for your help
(0013751)
fman (administrator)
2011-02-27 18:31

Branch 1.9 - http://gitorious.org/testlink-ga/testlink-code/commit/e9c4473c23625f11b09617cd0f6e04d80add405d [^]

Head - http://gitorious.org/testlink-ga/testlink-code/commit/8eeab0ecc8eb613d5a269d047095e4e8d5eeb8c0 [^]
(0013752)
fman (administrator)
2011-02-27 18:33

do not having seapine to test, we will have to wait till a user will test changes on next release.
(0013775)
mehrich (reporter)
2011-03-03 09:25

please compare with http://mantis.testlink.org/view.php?id=3520 [^]

- Issue History
Date Modified Username Field Change
2011-02-22 19:37 slashzero New Issue
2011-02-27 14:37 fman Assigned To => fman
2011-02-27 14:37 fman Status new => assigned
2011-02-27 14:37 fman Product Version => 1.9.1 (bug fixing)
2011-02-27 18:09 fman Note Added: 0013750
2011-02-27 18:31 fman Note Added: 0013751
2011-02-27 18:33 fman Note Added: 0013752
2011-02-27 18:36 fman File Added: fix-4266.tar.gz
2011-02-27 18:37 fman Relationship added child of 0004185
2011-03-03 09:25 mehrich Note Added: 0013775
2011-03-03 18:44 fman Relationship added related to 0003520
2011-03-20 16:13 fman Status assigned => closed
2011-03-20 16:13 fman Resolution open => fixed
2011-03-20 16:13 fman Fixed in Version => 1.9.2 (2011 Q2 - bug fixing)



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker